Bug 151217 - libgdk segv in gdk_rgb_init()
libgdk segv in gdk_rgb_init()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk+ (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-15 21:30 EST by Thomas Walker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 15:04:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Walker 2005-03-15 21:30:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
libgdk segfaults w/ the following trace (I only installled the relevant debuginfo, if you need more, please let me know):

Program received signal SIGSEGV, Segmentation fault.
gdk_rgb_init () at gdkrgb.c:509
509       best_visual = tmp_list->data;
(gdb) bt
#0  gdk_rgb_init () at gdkrgb.c:509
#1  0xf7e04330 in gdk_rgb_get_visual () at gdkrgb.c:3273
#2  0xf7f64739 in gdk_imlib_init () from /usr/lib/libgdk_imlib.so.1
#3  0xf7ffc117 in theme_init () from /usr/lib/gtk/themes/engines/libpixmap.so
#4  0x080851fb in gtk_theme_engine_get ()
#5  0x080744c0 in gtk_rc_parse_engine ()
#6  0x08073c58 in gtk_rc_parse_style ()
#7  0x080737ed in gtk_rc_parse_statement ()
#8  0x08073008 in gtk_rc_parse_any ()
#9  0x08072496 in gtk_rc_parse_file ()
#10 0x080737dd in gtk_rc_parse_statement ()
#11 0x08073008 in gtk_rc_parse_any ()
#12 0x08072496 in gtk_rc_parse_file ()
#13 0x08072521 in gtk_rc_parse ()
#14 0x0807227c in gtk_rc_init ()
#15 0x0805f6e9 in gtk_init_check ()
#16 0x0805f771 in gtk_init ()
#17 0x08052dec in InitGraphics ()
#18 0x08052b5b in Start ()
#19 0x08056f75 in main ()

Further digging:
Breakpoint 1, gdk_rgb_init () at gdkrgb.c:615
615       if (((char *)byte_order)[0] != 1)

< next until we get to the right place >

509       best_visual = tmp_list->data;
(gdb) print tmp_list
No symbol "tmp_list" in current context.
(gdb) whatis tmp_list
No symbol "tmp_list" in current context.
(gdb) n

Program received signal SIGSEGV, Segmentation fault.
gdk_rgb_init () at gdkrgb.c:509
509       best_visual = tmp_list->data;

Could be a gdb bug (not displaying the var) but the segv says something else is awry.



Version-Release number of selected component (if applicable):
1.2.10-33

How reproducible:
Always

Steps to Reproduce:
1. run app (happens to be vegastrike setup but that appears completely unrelated)
2. segv
3.
  

Actual Results:  app seg faults in gdk

Expected Results:  app runs (window appears and fills rather than appearing very briefly and disappearing)

Additional info:

This is an x86_64 system running an ia32 binary btw.
Comment 1 Thomas Walker 2005-03-27 19:07:04 EST
I'm happy to help out on this... (forget the email id, this is home use and
about redhat advocacy in general).
Games are a big reason why linux is having a hard time in the home market right
now and it would be a big boost to quash simple bugs like this that would turn
the average user away instantly.
Comment 2 Matthew Miller 2006-07-10 18:00:45 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.